Retrieve Solr Server information

- « SolrClient::setServlet

- SolrClient::threads »

- PHP Manual
- SolrClient
- Retrieve Solr Server information

# SolrClient::system

(PECL solr >= 2.0.0)

SolrClient::system — Retrieve Solr Server information

### Description

public SolrClient::system(): void

Retrieve Solr Server information

### Parameters

This function has no parameters.

### Return Values

Returns a SolrGenericResponse object on success.

### Errors/Exceptions

Emits SolrClientException if the client failed, or there was a connection issue.

Emits SolrServerException if the Solr Server failed to satisfy the query.